Subject: Re: [PATCH 3/3] USB: driver for Freescale QUICC Engine USB Host Controller

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 24 Sep 2008 01:35:41 +0400

Hello, I wrote:

>>>> This patch adds support for the FHCI USB controller, as found
>>>> in the Freescale MPC836x and MPC832x processors. It can support
>>>> Full or Low speed modes.

   Ah, it's not even high-speed?

>>>> Quite a lot the hardware is doing by itself (SOF generation, CRC
>>>> generation and checking), though scheduling and retransmission is on
>>>> software's shoulders.

   I imagine that must be worse than MUSB... :-/

>>>> This controller does not integrate the root hub, so this driver also
>>>> fakes one-port hub. External hub is required to support more than
>>>> one device.
>>>>
>>>> ...
>>>>
>>>>       
>>> Please, no.
>>>     
>>
>> What exactly 'no'? ;-)
>>   
>
>   No one-port hubs I guess -- they are pointless. Though e.g. MUSB 
> driver creates one -- I guess to impersonate a transaction translating 
> high-speed hub...
>

   ... then the root hub emulation is completely pointless.

WBR, Sergei